<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="1ec1bfd4-782a-461a-806e-7dbda090ad75" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/modules/it_lab_api.iml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/modules/it_lab_api.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/scala/Boot.scala" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/scala/Boot.scala" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/scala/routing/PerRequest.scala" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/scala/routing/PerRequest.scala" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/scala/services/ApiActor.scala" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/scala/services/ApiActor.scala" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/classes/Boot$.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/classes/Boot$.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/classes/Boot$delayedInit$body.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/classes/Boot$delayedInit$body.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/classes/Boot.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/classes/Boot.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/classes/services/ApiActor$$anonfun$receive$1$$anonfun$applyOrElse$1.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/classes/services/ApiActor$$anonfun$receive$1.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/classes/services/ApiActor$$anonfun$receive$1.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/classes/services/ApiActor$.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/classes/services/ApiActor$.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/classes/services/ApiActor.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/classes/services/ApiActor.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/default/it_lab_api$sources_2.12/0.1/resolved.xml.properties" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/default/it_lab_api$sources_2.12/0.1/resolved.xml.properties" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/default/it_lab_api$sources_2.12/0.1/resolved.xml.xml" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/default/it_lab_api$sources_2.12/0.1/resolved.xml.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-compile-internal.xml" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-compile-internal.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-compile.xml" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-compile.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-docs.xml" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-docs.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-optional.xml" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-optional.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-plugin.xml" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-plugin.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-provided.xml" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-provided.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-runtime-internal.xml" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-runtime-internal.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-runtime.xml" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-runtime.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-scala-tool.xml" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-scala-tool.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-sources.xml" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-sources.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-test-internal.xml" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-test-internal.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-test.xml" beforeDir="false" afterPath="$PROJECT_DIR$/target/scala-2.12/resolution-cache/reports/default-it_lab_api$sources_2.12-test.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/streams/$global/dependencyPositions/$global/streams/update_cache_2.12/output_dsp" beforeDir="false" afterPath="$PROJECT_DIR$/target/streams/$global/dependencyPositions/$global/streams/update_cache_2.12/output_dsp" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/streams/$global/updateClassifiers/$global/streams/out" beforeDir="false" afterPath="$PROJECT_DIR$/target/streams/$global/updateClassifiers/$global/streams/out" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <ignored path="$PROJECT_DIR$/project/project/target/" />
    <ignored path="$PROJECT_DIR$/project/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/scala/serializers/Serializers.scala">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="30">
              <caret line="2" selection-start-line="2" selection-end-line="2" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/scala/domain/DTO.scala">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="60">
              <caret line="4" column="32" selection-start-line="4" selection-start-column="32" selection-end-line="4" selection-end-column="32" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/scala/Boot.scala">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="195">
              <caret line="13" column="50" lean-forward="true" selection-start-line="13" selection-start-column="50" selection-end-line="13" selection-end-column="50" />
              <folding>
                <element signature="e#0#40#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/scala/routing/BaseRoute.scala">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="195">
              <caret line="19" column="32" selection-start-line="19" selection-start-column="32" selection-end-line="19" selection-end-column="32" />
              <folding>
                <element signature="e#17#57#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/scala/domain/User.scala">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="120">
              <caret line="8" selection-start-line="8" selection-end-line="8" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/scala/routing/PerRequest.scala">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="354">
              <caret line="59" column="3" selection-start-line="59" selection-start-column="3" selection-end-line="59" selection-end-column="3" />
              <folding>
                <element signature="e#17#104#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/scala/routing/RestRoutes.scala">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="371">
              <caret line="26" column="10" selection-start-line="26" selection-start-column="10" selection-end-line="26" selection-end-column="10" />
              <folding>
                <element signature="e#17#62#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/scala/services/ApiActor.scala">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="525">
              <caret line="35" column="40" selection-start-line="35" selection-start-column="40" selection-end-line="35" selection-end-column="40" />
              <folding>
                <element signature="e#18#64#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/plugins.sbt" />
        <option value="$PROJECT_DIR$/build.sbt" />
        <option value="$PROJECT_DIR$/project/plugins.sbt" />
        <option value="$PROJECT_DIR$/src/main/scala/sis3/routing/Routes.scala" />
        <option value="$PROJECT_DIR$/src/main/scala/sis3/Boot.scala" />
        <option value="$PROJECT_DIR$/src/main/scala/domain/Book.scala" />
        <option value="$PROJECT_DIR$/src/main/scala/domain/User.scala" />
        <option value="$PROJECT_DIR$/src/main/scala/serializers/Serializers.scala" />
        <option value="$PROJECT_DIR$/src/main/scala/routing/BaseRoute.scala" />
        <option value="$PROJECT_DIR$/src/main/scala/domain/DTO.scala" />
        <option value="$PROJECT_DIR$/src/main/scala/routing/RestRoutes.scala" />
        <option value="$PROJECT_DIR$/src/main/scala/routing/PerRequest.scala" />
        <option value="$PROJECT_DIR$/src/main/scala/Boot.scala" />
        <option value="$PROJECT_DIR$/src/main/scala/services/ApiActor.scala" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" fullScreen="true">
    <option name="width" value="1440" />
    <option name="height" value="900" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="it_lab_api" type="b2602c69:ProjectViewProjectNode" />
              <item name="it_lab_api" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="it_lab_api" type="b2602c69:ProjectViewProjectNode" />
              <item name="it_lab_api" type="462c0819:PsiDirectoryNode" />
              <item name="project" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="it_lab_api" type="b2602c69:ProjectViewProjectNode" />
              <item name="it_lab_api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="it_lab_api" type="b2602c69:ProjectViewProjectNode" />
              <item name="it_lab_api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="it_lab_api" type="b2602c69:ProjectViewProjectNode" />
              <item name="it_lab_api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="scala" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="it_lab_api" type="b2602c69:ProjectViewProjectNode" />
              <item name="it_lab_api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="scala" type="462c0819:PsiDirectoryNode" />
              <item name="domain" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="it_lab_api" type="b2602c69:ProjectViewProjectNode" />
              <item name="it_lab_api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="scala" type="462c0819:PsiDirectoryNode" />
              <item name="routing" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="it_lab_api" type="b2602c69:ProjectViewProjectNode" />
              <item name="it_lab_api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="scala" type="462c0819:PsiDirectoryNode" />
              <item name="serializers" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="it_lab_api" type="b2602c69:ProjectViewProjectNode" />
              <item name="it_lab_api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="scala" type="462c0819:PsiDirectoryNode" />
              <item name="services" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1551416244071" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="preferences.sourceCode" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/project" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Application.Boot">
    <configuration name="Boot (1)" type="Application" factoryName="Application" temporary="true">
      <option name="MAIN_CLASS_NAME" value="sis3.Boot" />
      <module name="it_lab_api" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="sis3.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Boot" type="Application" factoryName="Application" temporary="true">
      <option name="MAIN_CLASS_NAME" value="Boot" />
      <module name="it_lab_api" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="run" type="SbtRunConfiguration" factoryName="sbt Task">
      <setting name="tasks" value="run" />
      <setting name="vmparams" value="-Xms512M -Xmx1024M -Xss1M -XX:+CMSClassUnloadingEnabled" />
      <setting name="workingDir" value="$PROJECT_DIR$" />
      <setting name="useSbtShell" value="false" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.Boot" />
      <item itemvalue="Application.Boot (1)" />
      <item itemvalue="sbt Task.run" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Application.Boot" />
        <item itemvalue="Application.Boot (1)" />
      </list>
    </recent_temporary>
  </component>
  <component name="SbtLocalSettings">
    <option name="availableProjects">
      <map>
        <entry>
          <key>
            <ExternalProjectPojo>
              <option name="name" value="it_lab_api" />
              <option name="path" value="$PROJECT_DIR$" />
            </ExternalProjectPojo>
          </key>
          <value>
            <list>
              <ExternalProjectPojo>
                <option name="name" value="it_lab_api [file:/Users/aldiyarbolat/IdeaProjects/it_lab_api/]" />
                <option name="path" value="$PROJECT_DIR$" />
              </ExternalProjectPojo>
              <ExternalProjectPojo>
                <option name="name" value="it_lab_api-build" />
                <option name="path" value="$PROJECT_DIR$/project" />
              </ExternalProjectPojo>
            </list>
          </value>
        </entry>
      </map>
    </option>
    <option name="modificationStamps">
      <map>
        <entry key="$PROJECT_DIR$/build.sbt" value="2906172559" />
        <entry key="$PROJECT_DIR$/project/build.properties" value="1075804536" />
        <entry key="$PROJECT_DIR$/project/plugins.sbt" value="0" />
      </map>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="1ec1bfd4-782a-461a-806e-7dbda090ad75" name="Default Changelist" comment="" />
      <created>1550807677816</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1550807677816</updated>
      <workItem from="1550807682245" duration="1540000" />
      <workItem from="1550809250058" duration="3877000" />
      <workItem from="1550893760706" duration="1415000" />
      <workItem from="1550999211230" duration="8660000" />
      <workItem from="1551065536392" duration="2297000" />
      <workItem from="1551150416718" duration="3070000" />
      <workItem from="1551236067126" duration="8079000" />
      <workItem from="1551409472045" duration="4659000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="33597000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="0" width="1440" height="900" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.2746781" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="Capture Tool" order="4" />
      <window_info id="UI Designer" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.2554217" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Build" order="7" weight="0.28674698" />
      <window_info anchor="bottom" id="sbt-shell-toolwindow" order="8" weight="0.32891566" />
      <window_info anchor="bottom" id="Terminal" order="9" weight="0.2253012" />
      <window_info anchor="bottom" id="Docker" order="10" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="11" sideWeight="0.5007153" side_tool="true" weight="0.32891566" />
      <window_info anchor="bottom" id="Messages" order="12" sideWeight="0.49928468" weight="0.32891566" />
      <window_info anchor="bottom" id="Database Changes" order="13" />
      <window_info anchor="bottom" id="Version Control" order="14" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Maven" order="3" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="sbt" order="5" />
      <window_info anchor="right" id="Capture Analysis" order="6" />
      <window_info anchor="right" id="Database" order="7" />
      <window_info anchor="right" id="Palette&#9;" order="8" />
      <window_info anchor="right" id="Theme Preview" order="9" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/project/plugins.sbt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="15">
          <caret line="1" selection-start-line="1" selection-end-line="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/project/build.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/build.sbt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="390">
          <caret line="26" selection-start-line="26" selection-end-line="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/scala/sis3/routing/Routes.scala" />
    <entry file="file://$PROJECT_DIR$/src/main/scala/sis3/Boot.scala" />
    <entry file="file://$PROJECT_DIR$/src/main/scala/serializers/Serializers.scala">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="30">
          <caret line="2" selection-start-line="2" selection-end-line="2" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/scala/domain/DTO.scala">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="4" column="32" selection-start-line="4" selection-start-column="32" selection-end-line="4" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/scala/routing/BaseRoute.scala">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="19" column="32" selection-start-line="19" selection-start-column="32" selection-end-line="19" selection-end-column="32" />
          <folding>
            <element signature="e#17#57#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/scala/domain/User.scala">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="8" selection-start-line="8" selection-end-line="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/scala/routing/RestRoutes.scala">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="371">
          <caret line="26" column="10" selection-start-line="26" selection-start-column="10" selection-end-line="26" selection-end-column="10" />
          <folding>
            <element signature="e#17#62#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/scala/routing/PerRequest.scala">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="354">
          <caret line="59" column="3" selection-start-line="59" selection-start-column="3" selection-end-line="59" selection-end-column="3" />
          <folding>
            <element signature="e#17#104#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/scala/Boot.scala">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="13" column="50" lean-forward="true" selection-start-line="13" selection-start-column="50" selection-end-line="13" selection-end-column="50" />
          <folding>
            <element signature="e#0#40#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/scala/services/ApiActor.scala">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="525">
          <caret line="35" column="40" selection-start-line="35" selection-start-column="40" selection-end-line="35" selection-end-column="40" />
          <folding>
            <element signature="e#18#64#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>